package com.realnet.calendar_app_20251009_103540-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.calendar_app_20251009_103540-b.Entity.Calendarevent;
import com.realnet.calendar_app_20251009_103540-b.Services.CalendareventService ;








@RequestMapping(value = "/token/Calendarevent")
 @CrossOrigin("*") 
@RestController
public class tokenFree_CalendareventController {
	@Autowired
	private CalendareventService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Calendarevent")
		  public Calendarevent Savedata(@RequestBody Calendarevent data) {
		Calendarevent save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Calendarevent/{id}")
	public  Calendarevent update(@RequestBody Calendarevent data,@PathVariable Integer id ) {
		Calendarevent update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Calendarevent/getall/page")
	public Page<Calendarevent> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Calendarevent> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Calendarevent")
	public List<Calendarevent> getdetails() {
		 List<Calendarevent> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Calendarevent")
	public List<Calendarevent> getallwioutsec() {
		 List<Calendarevent> get = Service.getdetails();		
		return get;
}
@GetMapping("/Calendarevent/{id}")
	public  Calendarevent  getdetailsbyId(@PathVariable Integer id ) {
		Calendarevent  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Calendarevent/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}